<?php

class MnglAppHelper
{
  function MnglAppHelper()
  {
  }

  function get_pages()
  {
    global $wpdb;
    
    $query = "SELECT * FROM {$wpdb->prefix}posts WHERE post_status=%s AND post_type=%s";
    
    $query = $wpdb->prepare( $query, "publish", "page" );
    
    $results = $wpdb->get_results( $query );
    
    if($results)
      return $results;
    else
      return array();
  }
  
  // Displays time as in how many seconds / minutes / hours / days / weeks ago
  function time_ago($created_at)
  {
    if($created_at == false)
     return '';

    $ago = time() - strtotime($created_at);
    $ago_str = '';
    
    $minutes = 60;
    $hours   = $minutes * 60;
    $days    = $hours * 24;
    $weeks   = $days * 7;
    $months  = $days * 30;
    $years   = $days * 365;
    
    if($ago < $minutes)
    {
      $ago_str = sprintf(__ngettext("%d second ago","%d seconds ago", $ago, 'mingle'), $ago);
    }
    else if($ago < $hours)
    {
      $ago_minutes = (int)($ago / $minutes);
      
      $ago_str = sprintf(__ngettext("%d minute ago", "%d minutes ago", $ago_minutes, 'mingle'), $ago_minutes);
    }
    else if($ago < $days)
    {
      $ago_hours = (int)($ago / $hours);
      
      $ago_str = sprintf(__ngettext("%d hour ago", "%d hours ago", $ago_hours, 'mingle'), $ago_hours);
    }
    else if($ago < $weeks)
    {
      $ago_days = (int)($ago / $days);
      
      $ago_str = sprintf(__ngettext("yesterday", "%d days ago", $ago_days, 'mingle'), $ago_days);
    }
    else if($ago < $months)
    {
      $ago_weeks = (int)($ago / $weeks);
      
      $ago_str = sprintf(__ngettext("last week", "%d weeks ago", $ago_weeks, 'mingle'), $ago_weeks);
    }
    else if($ago < $years)
    {
      $ago_months = (int)($ago / $months);
      
      $ago_str = sprintf(__ngettext("last month", "%d months ago", $ago_months, 'mingle'), $ago_months);
    }
    else
    {
      $ago_years = (int)($ago / $years);
      
      $ago_str = sprintf(__ngettext("last year", "%d years ago", $ago_years, 'mingle'), $ago_years);
    }
    
    return $ago_str;
  }
  
  function value_is_selected($field_name, $field_value, $selected_value)
  {
    if( (isset($_POST[$field_name]) and $_POST[$field_name] == $selected_value) or
        (!isset($_POST[$field_name]) and $field_value == $selected_value) )
      echo ' selected="selected"';
  }
  
  function value_is_checked($field_name, $field_value)
  {
    if( (isset($_POST) and $_POST[$field_name] == 'on') or
        (!isset($_POST) and $field_value == 'on') )
      echo ' checked="checked"';
  }

  function value_is_checked_with_array($field_name, $index, $field_value)
  {
    if( ( $_POST['action'] == 'process_form' and isset( $_POST[ $field_name ][ $index ] ) ) or
        ( $_POST['action'] != 'process_form' and isset($field_value) ) )
      echo ' checked="checked"';
  }
}

?>
