function request_friend( mingle_url, user_id, friend_id, friend_requested_text )
{
  jQuery.ajax( {
    type: "POST",
    url: mingle_url,
    data: "controller=friends&action=friend_request&user_id=" + user_id + "&friend_id=" + friend_id,
    success: function(html) {
      jQuery(".friend_request_button-" + friend_id ).replaceWith( friend_requested_text );
    }
  });
}

function post_to_board( mingle_url, owner_id, author_id, message, controller )
{
  jQuery.ajax( {
    type: "POST",
    url: mingle_url,
    data: "controller=" + controller + "&action=post&owner_id=" + owner_id + "&author_id=" + author_id + "&message=" + message,
    success: function(html) {
      jQuery('.mngl-board').replaceWith(html);
    }
  });
  
  if( owner_id == author_id )
  {
    jQuery('.profile-status').replaceWith('<div class="profile-status">'+message+'</div>');
  }
}

function comment_on_post( mingle_url, author_id, board_post_id, message, controller )
{
  jQuery.ajax( {
    type: "POST",
    url: mingle_url,
    data: "controller=" + controller + "&action=comment&author_id=" + author_id + "&board_post_id=" + board_post_id + "&message=" + message,
    success: function(html) {
      jQuery('.mngl-board').replaceWith(html);
    }
  });
}

function delete_board_post( mingle_url, board_post_id, controller )
{
  if(confirm("<?php _e('Are you sure you want to delete this post?', 'mingle'); ?>"))
  {
    jQuery.ajax( {
      type: "POST",
      url: mingle_url,
      data: "controller=" + controller + "&action=delete_post&board_post_id=" + board_post_id,
      success: function(html) {
        jQuery('.mngl-board').replaceWith(html);
      }
    });
  }
}

function delete_board_comment( mingle_url, board_comment_id, controller )
{
  if(confirm("<?php _e('Are you sure you want to delete this comment?', 'mingle'); ?>"))
  {
    jQuery.ajax( {
      type: "POST",
      url: mingle_url,
      data: "controller=" + controller + "&action=delete_comment&board_comment_id=" + board_comment_id,
      success: function(html) {
        jQuery('.mngl-board').replaceWith(html);
      }
    });
  }
}

function toggle_comment_form( update_id )
{
  jQuery('#mngl-board-comment-list-' + update_id).show();
  jQuery('#mngl-comment-form-' + update_id).toggle();
  jQuery('#mngl-fake-board-comment-' + update_id).toggle();
  jQuery('#mngl-board-comment-input-' + update_id).focus();
}

function show_board_post_form()
{
  jQuery('#mngl-fake-board-post-form').toggle();
  jQuery('#mngl-board-post-form').toggle();
  jQuery('#mngl-board-post-input').focus();
}

function toggle_hidden_comments(board_post_id)
{
  jQuery('.mngl-hidden-comment-'+board_post_id).show();
  jQuery('#mngl-show-hidden-comments-'+board_post_id).hide();
}

function delete_friend( mingle_url, user_id, friend_id )
{
  if(confirm("<?php _e('Are you sure you want to delete this friend?', 'mingle'); ?>"))
  {
    jQuery.ajax( {
      type: "POST",
      url: mingle_url,
      data: "controller=friends&action=delete_friend&user_id=" + user_id + "&friend_id=" + friend_id,
      success: function(html) {
        jQuery('#mngl-friend-'+friend_id).replaceWith('');
      }
    });
  }
}

function accept_friend_request( mingle_url, request_id, requestor_name )
{
  jQuery.ajax( {
    type: "POST",
    url: mingle_url,
    data: "controller=friends&action=accept_friend&request_id=" + request_id,
    success: function(html) {
      jQuery( '.request-' + request_id ).replaceWith( 'You\'re now friends with ' + requestor_name );
    }
  });
}

function ignore_friend_request( mingle_url, request_id )
{
  jQuery.ajax( {
    type: "POST",
    url: mingle_url,
    data: "controller=friends&action=ignore_friend&request_id=" + request_id,
    success: function(html) {
      jQuery( '.request-' + request_id ).replaceWith('&nbsp;');
    }
  });
}

function delete_profile_avatar( mingle_url, user_id )
{
  if(confirm("<?php _e('Are you sure you want to delete your avatar?', 'mingle'); ?>"))
  {
    jQuery.ajax( {
      type: "POST",
      url: mingle_url,
      data: "controller=profile&action=delete_avatar&user_id=" + user_id,
      success: function(html) {
        jQuery('#mngl-avatar-edit-display').replaceWith(html);
      }
    });
  }
}

function mngl_toggle_two_ids( first_id, second_id )
{
  jQuery(first_id).toggle();
  jQuery(second_id).toggle();
}